summaryrefslogtreecommitdiffstats
path: root/900.lfdroplist.sh
diff options
context:
space:
mode:
Diffstat (limited to '900.lfdroplist.sh')
-rw-r--r--900.lfdroplist.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/900.lfdroplist.sh b/900.lfdroplist.sh
new file mode 100644
index 0000000..6794538
--- /dev/null
+++ b/900.lfdroplist.sh
@@ -0,0 +1,24 @@
+#! /bin/sh
+
+if [ -r /etc/defaults/periodic.conf ]; then
+ . /etc/defaults/periodic.conf
+ source_periodic_confs
+fi
+
+PATH=$PATH:/usr/local/bin:/usr/local/sbin
+export PATH
+
+if ! [ -x /usr/local/sbin/lf-droplist-update ]; then
+ exit 0
+fi
+
+case "$daily_lfdroplist_enable" in
+[Yy][Ee][Ss])
+ printf 'Updating the pf droplist:\n'
+
+ /usr/local/sbin/lf-droplist-update
+ ;;
+
+*)
+ ;;
+esac